<?php

namespace DevOwl\RealPhysicalMedia\Vendor\YahnisElsts\PluginUpdateChecker\v5p3;

use DevOwl\RealPhysicalMedia\Vendor\YahnisElsts\PluginUpdateChecker\v5\PucFactory as MajorFactory;
use DevOwl\RealPhysicalMedia\Vendor\YahnisElsts\PluginUpdateChecker\v5p3\PucFactory as MinorFactory;
require __DIR__ . '/Puc/v5p3/Autoloader.php';
new Autoloader();
require __DIR__ . '/Puc/v5p3/PucFactory.php';
require __DIR__ . '/Puc/v5/PucFactory.php';
//Register classes defined in this version with the factory.
foreach (array('Plugin\\UpdateChecker' => Plugin\UpdateChecker::class, 'Theme\\UpdateChecker' => Theme\UpdateChecker::class, 'Vcs\\PluginUpdateChecker' => Vcs\PluginUpdateChecker::class, 'Vcs\\ThemeUpdateChecker' => Vcs\ThemeUpdateChecker::class, 'GitHubApi' => Vcs\GitHubApi::class, 'BitBucketApi' => Vcs\BitBucketApi::class, 'GitLabApi' => Vcs\GitLabApi::class) as $pucGeneralClass => $pucVersionedClass) {
    MajorFactory::addVersion($pucGeneralClass, $pucVersionedClass, '5.3');
    //Also add it to the minor-version factory in case the major-version factory
    //was already defined by another, older version of the update checker.
    MinorFactory::addVersion($pucGeneralClass, $pucVersionedClass, '5.3');
}
